.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the VisualScriptYield.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_VisualScriptYield:

VisualScriptYield
=================

**Inherits:** :ref:`VisualScriptNode<class_visualscriptnode>` **<** :ref:`Resource<class_resource>` **<** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Variables
----------------

  .. _class_VisualScriptYield_mode:

- :ref:`YieldMode<enum_visualscriptyield_yieldmode>` **mode**

  .. _class_VisualScriptYield_wait_time:

- :ref:`float<class_float>` **wait_time**


Enums
-----

  .. _enum_VisualScriptYield_YieldMode:

enum **YieldMode**

- **YIELD_FRAME** = **1**
- **YIELD_PHYSICS_FRAME** = **2**
- **YIELD_WAIT** = **3**


